package com.mortals.xhx.module.matter.model;

import java.math.BigDecimal;
import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:Matter
* date: 2021-9-17 15:55:12
*/
public class MatterEntity extends MatterEntityExt{
    private static final long serialVersionUID = 1631865312199L;


    /**
    * 事项id,政务网
    */
    private Long matterId;

    /**
    * 事项编号
    */
    private String matterNo;

    /**
    * 事项名称
    */
    private String matterName;

    /**
    * 事项组名
    */
    private String groupName;




    /**
    * 区域编码
    */
    private String areaCode;

    /**
    * 部门编号
    */
    private String deptCode;

    /**
    * 部门名称
    */
    private String deptName;

    /**
    * 行政权力编号
    */
    private String powerCode;

    /**
    * 主题编号
    */
    private String themeCode;

    /**
    * 服务类型编号
    */
    private String usertypeCode;

    /**
    * 事项详情链接
    */
    private String url;

    /**
    * 事项来源，0：政务网，1：自定义，默认0
    */
    private Integer source;

    /**
    * 创建人名称
    */
    private String createUserName;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 修改人名称
    */
    private String updateUserName;

    /**
    * 更新时间
    */
    private Date updateTime;

    public MatterEntity(){

    }
    /**
    * 获取 事项id,政务网
    * @return matterId
    */
    public Long getMatterId() {
        return this.matterId;
    }
    /**
    * 设置 事项id,政务网
    * @param matterId
    */
    public void setMatterId(Long matterId) {
        this.matterId = matterId;
    }
    /**
    * 获取 事项编号
    * @return matterNo
    */
    public String getMatterNo() {
        return this.matterNo;
    }
    /**
    * 设置 事项编号
    * @param matterNo
    */
    public void setMatterNo(String matterNo) {
        this.matterNo = matterNo;
    }
    /**
    * 获取 事项名称
    * @return matterName
    */
    public String getMatterName() {
        return this.matterName;
    }
    /**
    * 设置 事项名称
    * @param matterName
    */
    public void setMatterName(String matterName) {
        this.matterName = matterName;
    }
    /**
    * 获取 事项组名
    * @return groupName
    */
    public String getGroupName() {
        return this.groupName;
    }
    /**
    * 设置 事项组名
    * @param groupName
    */
    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }
    /**
    * 获取 区域编码
    * @return areaCode
    */
    public String getAreaCode() {
        return this.areaCode;
    }
    /**
    * 设置 区域编码
    * @param areaCode
    */
    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }
    /**
    * 获取 部门编号
    * @return deptCode
    */
    public String getDeptCode() {
        return this.deptCode;
    }
    /**
    * 设置 部门编号
    * @param deptCode
    */
    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }
    /**
    * 获取 部门名称
    * @return deptName
    */
    public String getDeptName() {
        return this.deptName;
    }
    /**
    * 设置 部门名称
    * @param deptName
    */
    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }
    /**
    * 获取 行政权力编号
    * @return powerCode
    */
    public String getPowerCode() {
        return this.powerCode;
    }
    /**
    * 设置 行政权力编号
    * @param powerCode
    */
    public void setPowerCode(String powerCode) {
        this.powerCode = powerCode;
    }
    /**
    * 获取 主题编号
    * @return themeCode
    */
    public String getThemeCode() {
        return this.themeCode;
    }
    /**
    * 设置 主题编号
    * @param themeCode
    */
    public void setThemeCode(String themeCode) {
        this.themeCode = themeCode;
    }
    /**
    * 获取 服务类型编号
    * @return usertypeCode
    */
    public String getUsertypeCode() {
        return this.usertypeCode;
    }
    /**
    * 设置 服务类型编号
    * @param usertypeCode
    */
    public void setUsertypeCode(String usertypeCode) {
        this.usertypeCode = usertypeCode;
    }
    /**
    * 获取 事项详情链接
    * @return url
    */
    public String getUrl() {
        return this.url;
    }
    /**
    * 设置 事项详情链接
    * @param url
    */
    public void setUrl(String url) {
        this.url = url;
    }
    /**
    * 获取 事项来源，0：政务网，1：自定义，默认0
    * @return source
    */
    public Integer getSource() {
        return this.source;
    }
    /**
    * 设置 事项来源，0：政务网，1：自定义，默认0
    * @param source
    */
    public void setSource(Integer source) {
        this.source = source;
    }
    /**
    * 获取 创建人名称
    * @return createUserName
    */
    public String getCreateUserName() {
        return this.createUserName;
    }
    /**
    * 设置 创建人名称
    * @param createUserName
    */
    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }
    /**
    * 获取 创建时间
    * @return createTime
    */
    public Date getCreateTime() {
        return this.createTime;
    }
    /**
    * 设置 创建时间
    * @param createTime
    */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    /**
    * 获取 修改人名称
    * @return updateUserName
    */
    public String getUpdateUserName() {
        return this.updateUserName;
    }
    /**
    * 设置 修改人名称
    * @param updateUserName
    */
    public void setUpdateUserName(String updateUserName) {
        this.updateUserName = updateUserName;
    }
    /**
    * 获取 更新时间
    * @return updateTime
    */
    public Date getUpdateTime() {
        return this.updateTime;
    }
    /**
    * 设置 更新时间
    * @param updateTime
    */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof MatterEntity) {
            MatterEntity tmp = (MatterEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",matterId:").append(getMatterId())
                .append(",matterNo:").append(getMatterNo())
                .append(",matterName:").append(getMatterName())
                .append(",groupName:").append(getGroupName())
                .append(",areaCode:").append(getAreaCode())
                .append(",deptCode:").append(getDeptCode())
                .append(",deptName:").append(getDeptName())
                .append(",powerCode:").append(getPowerCode())
                .append(",themeCode:").append(getThemeCode())
                .append(",usertypeCode:").append(getUsertypeCode())
                .append(",url:").append(getUrl())
                .append(",source:").append(getSource())
                .append(",createUserName:").append(getCreateUserName())
                .append(",createTime:").append(getCreateTime())
                .append(",updateUserName:").append(getUpdateUserName())
                .append(",updateTime:").append(getUpdateTime())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.matterId = null;
         this.matterNo = null;
         this.matterName = null;
         this.groupName = null;
         this.areaCode = null;
         this.deptCode = null;
         this.deptName = null;
         this.powerCode = null;
         this.themeCode = null;
         this.usertypeCode = null;
         this.url = null;
         this.source = null;
         this.createUserName = null;
         this.createTime = null;
         this.updateUserName = null;
         this.updateTime = null;
    }
}